### Namespace

# Msg – 0

Library to access MS Graph API for Office 365.

Version | 0
Authors | Jan-Michael Brummer
License | LGPL-3.0-or-later
Website | https://jbrummer.pages.gitlab.gnome.org/msgraph/
Source | https://gitlab.gnome.org/jbrummer/msgraph/

#### Build

C headers | `msg.h`
pkg-config files | `msgraph-0`

#### Dependencies

GLib—2.0 | The base utility library
| Browse documentation
GObject—2.0 | The base type system library
| Browse documentation
Gio—2.0 | Gio is a library providing useful classes for general purpose I/O, networking, IPC, settings, and other high level application functionality
| Browse documentation
Goa—1.0 | GNOME Online Accounts
| Browse documentation
Json—1.0 | JSON parser and generator
| Browse documentation
Soup—3.0 | HTTP client/server library for GNOME
| Browse documentation
Rest—1.0 | REST client library
| Browse documentation

#### Additional documentation

- Compiling with Libmsgraph
- Classes Hierarchy

#### Classes

Contact | Handling of contact specific functions. since: 0
ContactService | since: 0
Drive | `MsgDriveService` is a subclass of `MsgService` for communicating with the MS Graph API. since: 0
DriveItem | since: 0
DriveItemFile | since: 0
DriveItemFolder | since: 0
DriveService | since: 0
GoaAuthorizer | The `MsgGoaAuthorizer` structure contains only private data and should only be accessed using the provided API. since: 0
InputStream | since: 0
MailFolder | Handling of mail folder specific functions. since: 0
Message | Handling of message specific functions. since: 0
MessageService | since: 0
OAuth2Authorizer | since: 0
Service | since: 0
User | Handling of user specific functions. since: 0
UserService | since: 0

#### Interfaces

Authorizer | since: 0

#### Structs

_DriveItemFileClass | since: 0
_DriveItemFolderClass | since: 0

#### Enumerations

DriveType | The type of Drive objects. since: 0
LogLevel | since: 0
MessageMailFolderType | since: 0

#### Error Domains

Error | This enumeration can be expanded at a later date. since: 0

#### Functions

error_quark | since: 0

#### Function Macros

OAUTH2_AUTHORIZER | since: 0
OAUTH2_AUTHORIZER_CLASS | since: 0

#### Constants

API_ENDPOINT | since: 0